Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.writer.filesystem
Class AbstractAsyncZipWriter

    java.lang.Object
      kieker.monitoring.writer.AbstractMonitoringWriter
          kieker.monitoring.writer.AbstractAsyncWriter
              kieker.monitoring.writer.filesystem.AbstractAsyncZipWriter

All Implemented Interfaces:
  IMonitoringRecordReceiver, IMonitoringWriter

Direct Known Subclasses:
  AsyncAsciiZipWriter, AsyncBinaryZipWriter

    public abstract class AbstractAsyncZipWriter

extends AbstractAsyncWriter

Since:
  1.7
Author:
  Jan Waller

Field Summary
`static String` | `CONFIG_BUFFER` The name of the configuration determining the size of the buffer.
`static String` | `CONFIG_COMPRESS_LEVEL` The name of the configuration determining the compression level.
`static String` | `CONFIG_MAXENTRIESINFILE` The name of the configuration determining the maximal number of entries in a file.
`static String` | `CONFIG_PATH` The name of the configuration for the custom storage path if the writer is advised not to store in the temporary directory.

Fields inherited from class kieker.monitoring.writer.AbstractAsyncWriter
`CONFIG_BEHAVIOR, CONFIG_PRIORITIZED_QUEUESIZE, CONFIG_QUEUESIZE, CONFIG_SHUTDOWNDELAY`

Constructor Summary
`AbstractAsyncZipWriter(Configuration configuration)`

Method Summary

Methods inherited from class kieker.monitoring.writer.AbstractAsyncWriter
`newMonitoringRecord, newMonitoringRecordNonBlocking, terminate, toString`

Methods inherited from class kieker.monitoring.writer.AbstractMonitoringWriter
`setController`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONFIG_PATH

    public static final String CONFIG_PATH

  The name of the configuration for the custom storage path if the writer is advised not to store in the temporary directory.

  See Also:
    Constant Field Values

### CONFIG_MAXENTRIESINFILE

    public static final String CONFIG_MAXENTRIESINFILE

  The name of the configuration determining the maximal number of entries in a file.

  See Also:
    Constant Field Values

### CONFIG_BUFFER

    public static final String CONFIG_BUFFER

  The name of the configuration determining the size of the buffer.

  See Also:
    Constant Field Values

### CONFIG_COMPRESS_LEVEL

    public static final String CONFIG_COMPRESS_LEVEL

  The name of the configuration determining the compression level.

  See Also:
    Constant Field Values

Constructor Detail

### AbstractAsyncZipWriter

    public AbstractAsyncZipWriter(Configuration configuration)

Parameters:
  `configuration` - The configuration for this writer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net